// PI_ReadValueDlg.h : header file
//

#if !defined(AFX_PI_READVALUEDLG_H__814D2ECC_7575_4778_9EF0_852734E47E97__INCLUDED_)
#define AFX_PI_READVALUEDLG_H__814D2ECC_7575_4778_9EF0_852734E47E97__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CPI_ReadValueDlg dialog

class CPI_ReadValueDlg : public CDialog
{
// Construction
public:
	CPI_ReadValueDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CPI_ReadValueDlg)
	enum { IDD = IDD_PI_READVALUE_DIALOG };
	CListBox	m_lbChannelStatus;
	CListBox	m_lbReadingValue;
	CButton	m_btnReadValue;
	CListBox	m_lbModuleInfo;
	CEdit	m_txtBID;
	CComboBox	m_cbxDID;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPI_ReadValueDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CPI_ReadValueDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnOpenDevice();
	afx_msg void OnCloseDevice();
	afx_msg void OnReadValue();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PI_READVALUEDLG_H__814D2ECC_7575_4778_9EF0_852734E47E97__INCLUDED_)
